﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LiteBlog.Common.Components
{
    [AttributeUsage(AttributeTargets.Method, AllowMultiple=true)]
    public class ResolveAttribute : Attribute
    {
        public string PropertyName { get; set; }

        public ResolveAttribute(string propertyName)
        {
            PropertyName = propertyName;
        }
    }
}
