﻿using System.ComponentModel.DataAnnotations;
namespace LiteBlog.Common.Entities
{
    public class Settings
    {
        public Settings()
        {
            PostCount = 5;
            Timezone = "India Standard Time";
            CommentModeration = false;
        }

        public bool CommentModeration { get; set; }
        public string Skin { get; set; }
        public bool UseImage { get; set; }
        public string ImageUrl { get; set; }
        public bool ShouldBackup { get; set; }

        [Required(ErrorMessage="Please enter blog name")]
        public string Name { get; set; }

        public int PostCount { get; set; }
        public string Timezone { get; set; }
        public string Url { get; set; }
        public string LogFile { get; set; }
        public string LogLevel { get; set; }
        public string AppKey { get; set; }
        public string AppSecret { get; set; }
        public string AccessToken { get; set; }
    }
}