﻿using LiteBlog.Common.Entities;
using LiteBlog.Components.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LiteBlog.Components.Contracts
{
    public interface ICacheComp
    {
        T Get<T>(string key) where T : class;
        T Get<T>(CacheType type) where T : class;
        void Put(string key, object value);
        void Put(CacheType type, object value);
        void PutPost(string fileID, Post post);
    }
}
