﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ICacheContext.cs" company="LiteBlog">
//   Copyright (c) 2012, LiteBlog. All Rights Reserved.
// </copyright>
// <summary>
//   The cache type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace LiteBlog.XmlLayer.Contracts
{
    using LiteBlog.Common.Enums;
    using LiteBlog.Components.Enums;
    using System;
    using System.Collections.Generic;
    using System.Web.Caching;


    public interface ICacheContext
    {
        CacheDependency GetDependency(CacheType type);
        CacheDependency GetDependency(CacheType type, string id);
    }
}