﻿using LiteBlog.Common.Entities;
using LiteBlog.Components.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LiteBlog.Components.Contracts
{
    public interface IPageComp : IComp<Page, string>
    {
        List<Page> GetPublished();
        MethodResult Publish(Page page);
        MethodResult Unpublish(string id);
    }
}
