﻿using LiteBlog.Common.Entities;
using LiteBlog.Common.Enums;
using LiteBlog.Components.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LiteBlog.Components.Contracts
{
    public interface IStatComp
    {
        Stat Load();
        void Save(Stat stat);

        void IncrementHits();
        void IncrementVisits();
        void IncrementFeeds();
        void IncrementPosts(string fileId);
    }
}
