﻿using StructureMap;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LiteBlog.IoC
{
    public class IoCContainer
    {
        private static readonly Container _container;

        static IoCContainer()
        {
            _container = new Container(new IoCRegistry());
        }

        public static T Resolve<T>()
        {
            return _container.TryGetInstance<T>();
        }

        public static object Resolve(Type t)
        {
            return _container.TryGetInstance(t);
        }
    }
}
