﻿namespace LiteBlog.XmlLayer.Contracts
{
    using LiteBlog.Common.Entities;
    using System;
    using System.Collections.Generic;
    using System.Web.Caching;

    public interface IPostData
    {
        Post Load(string fileId);
        void Save(Post post);
        DraftPost Create(string title);
        DraftPost EditPublished(string fileId);
        void Update(PostInfo post);
        void Delete(string fileId);
        string Publish(DraftPost post);
        string Unpublish(string fileId);
        string GetDraftIdIfDraftExistsForPublishedPost(string fileId);
    }
}