﻿using System.ComponentModel.DataAnnotations;
namespace LiteBlog.Common.Entities
{
    public class Author
    {
        [Required(ErrorMessage = "Please enter email")]
        public string Email { get; set; }

        [Required(ErrorMessage = "Please enter login name")]
        public string ID { get; set; }
        
        [Required(ErrorMessage = "Please enter display name")]
        public string Name { get; set; }

        public bool Locked { get; set; }
        public bool IsPrimary { get; set; }
        public bool Enabled { get; set; }
        public string Url { get; set; } // obsolete  

        public Author()
        {
            IsPrimary = false;
            Enabled = true;
        }
    }
}