﻿using LiteBlog.Common.Entities;
using LiteBlog.Components.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LiteBlog.Components.Contracts
{
    public interface IAuthorComp : IComp<Author, string>
    {
        MethodResult Unlock(string id);
        MethodResult Disable(string id, bool enable = false);
        MethodResult MakePrimary(string id);
        MethodResult ValidateUser(string userName, string password);
        MethodResult ChangePassword(string userName, string oldPassword, string newPassword);
    }
}
