﻿using LiteBlog.Common.Entities;
using LiteBlog.Components.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LiteBlog.Components.Contracts
{
    public interface ICommentComp : IComp<Comment, string>
    {
        MethodResult Approve(string id);
        MethodResult Reject(string id);
        List<Comment> GetApproved();
        List<Comment> GetUnapproved();
    }
}
