﻿using LiteBlog.Components.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LiteBlog.Components.Contracts
{
    public interface IComp<T, U>
    {
        List<T> Get();
        T Get(U id);
        MethodResult Create(T item);
        MethodResult Update(string olid, T item);
        MethodResult Delete(U id);
    }
}
