﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LiteBlog.Components.Enums
{
    public enum MethodResult
    {
        Success, 
        Failure, 
        CreateSuccess, 
        UpdateSuccess, 
        DeleteSuccess, 
        DuplicateId, 
        DuplicateName, 
        UnlockSuccess, 
        DuplicateEmail, 
        PrimaryRecord, 
        PrimarySuccess, 
        EnableSuccess,
        DisableSuccess,
        LoginSuccess,
        LoginFailure,
        ChangePasswordSuccess,
        SaveSettingsSuccess,
        SaveSuccess,
        PublishSuccess,
        UnpublishSuccess,
        NotFound,
        ApproveSuccess,
        RejectSuccess,
        Pending,
        MultipleDeleteSuccess,
        MultipleApproveSuccess,
        MultipleRejectSuccess,
        BackupSuccess
    }
}
