﻿using LiteBlog.Common.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.Mvc;

namespace LiteBlog.Controllers.Contracts
{
    public interface IPageController : IController
    {
        ActionResult Manage();
        ActionResult Index(string id);
        ActionResult Preview(string id);
        ActionResult Compose(string id);
        ActionResult Save(Page page);
        ActionResult Publish(Page page);
        ActionResult Unpublish(Page page);
    }
}
