﻿using LiteBlog.Common.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.Mvc;

namespace LiteBlog.Controllers.Contracts
{
    public interface IPostController : IController
    {
        ActionResult Manage();
        ActionResult Delete(string id);
        ActionResult Compose(string id);
        ActionResult Index(string id);
        ActionResult Preview(string id);
        ActionResult Publish(DraftPost post);
        ActionResult Unpublish(string id, string title);
        ActionResult Save(DraftPost post);
        ActionResult Upload(string fileId);
        ActionResult DeleteAttachment(string id, string fileId);
        ActionResult Widget();
    }
}
