﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace LiteBlog.Controllers.Helpers
{
    public class CustomActionInvoker : IActionInvoker
    {
        private ControllerActionInvoker invoker = new ControllerActionInvoker();

        public bool InvokeAction(ControllerContext controllerContext, string actionName)
        {
            if (!invoker.InvokeAction(controllerContext, actionName))
                return invoker.InvokeAction(controllerContext, "PageNotFound");

            return true;
        }
    }
}