﻿namespace LiteBlog.XmlLayer.Contracts
{
    using LiteBlog.Common.Entities;
    using System;
    using System.Collections.Generic;

    public interface IBlogData
    {
        void ChangeAuthor(string fileID, string author);
        void ChangeCategory(string oldAuthor, string newAuthor);
        List<PostInfo> GetPublished();
        List<PostInfo> GetScheduled();
        List<PostInfo> Get();
        void Schedule(string fileId, DateTime publishDate);
    }
}