﻿namespace LiteBlog.XmlLayer.Contracts
{
    using LiteBlog.Common.Entities;
    using System.Collections.Generic;

    public interface ICategoryData
    {
        void Increment(string catId);
        void Decrement(string catId);

        List<Category> Get();
        bool Create(Category category);
        void Update(string oldId, Category category);
        void Delete(string catId);
    }
}