﻿function PostsVm() {
    var self = this;
    this.posts = ko.observableArray();
    this.page = ko.observable();
    this.url = ko.observable();
    this.getMoreEnabled = ko.observable(true);

    this.find = function (id) {
        for (idx = 0; idx < this.posts().length; idx++) {
            if (this.posts()[idx].fileId() == id)
                return this.posts()[idx];
        }
    }

    this.loadJson = function (data) {
        for (idx = 0; idx < data.length; idx++) {
            var postVm = new PostVm();
            postVm.loadJson(data[idx]);
            this.posts.push(postVm);
        }
    }

    this.getMore = function () {
        var url = this.url()
        url += (url.indexOf('?') == -1) ? '?page=' : '&page=';
        url += this.page();

        $.get(url, function (data) {
            if (data.Result) {
                self.loadJson(data.Data);
                self.page(self.page() + 1);
            } else {
                self.getMoreEnabled(false);
            }
        });
    }
}